/***********************************************************************/
/*                                                                     */
/*                              Pio (C++)                              */
/*                                                                     */
/*                    Polyglot Input/Output Library                    */
/*                                                                     */
/*               EPI Pomdapi, INRIA Paris - Rocquencourt               */
/*                                                                     */
/*  Copyright 2005-2014 INRIA.                                         */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Estelle Marchand <Estelle.Marchand@inria.fr>                       */
/*                                                                     */
/***********************************************************************/

/* $Id: receive_typed_value.hpp,v 1.9 2014/01/10 19:22:09 fclement Exp $ */

#include "typed_value.hpp"
#include "receive.hpp"

#ifndef _RECEIVE_TYPED_VALUE_H
#define _RECEIVE_TYPED_VALUE_H

using namespace std;

namespace io{

  Typed_value receive(istream& ib);
  Typed_value receive_typed_value(istream& ib);
  
}


#endif
